### AutomationML Application Programming Services

The **Aml.Engine.Services** provides methods for processing [AutomationML](https://www.automationml.org) documents. AutomationML is a standardized data exchange format, developed to support the data exchange in automation systems engineering. The **Aml.Engine.Services** extends the [Aml.Engine](https://www.nuget.org/packages/Aml.Engine/) with additional services such as the transformation service for upgrading and downgrading AutomationML document versions or a service that enables the resolution of externally referenced AutomationML libraries.

A detailed description with examples can be found in the [Wiki](https://github.com/AutomationML/AMLEngine2.1/wiki).
